Bug 311 - can't save pdf files
: can't save pdf files
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Andrey Bondrov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 02:01 MSD by andrea_scopelliti
Modified: 2012-06-19 21:49 MSD (History)
3 users (show)

See Also:
RPM Package: gscan2pdf
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andrea_scopelliti 2012-05-31 02:01:41 MSD
Description of problem:
Works flawlessly but if you try to save as a pdf you go to the mask that lets you chose the the name of the file and it's location it returns to the first mask without saving anything. It looks like it's only able to save in jpeg format.
In mageia forum the same bug is reported and the solution identified was to upgrade the perl-Gtk module to version 1.241 ohigher as the version 1.230 currently in rosa repos introduced a bug that causes this problem and that was resolved starting from version 1.241

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.scan or import a document
2.try to save as pdf
3.
Comment 1 Andrey Bondrov 2012-05-31 15:21:54 MSD
(In reply to comment #0)
> In mageia forum the same bug is reported and the solution identified was to
> upgrade the perl-Gtk module to version 1.241 ohigher as the version 1.230
> currently in rosa repos introduced a bug that causes this problem and that
> was resolved starting from version 1.241

Thanx for reporting. I'll update perl-Glib & perl-Gtk packages and test if nothing is broken.
Comment 2 Andrey Bondrov 2012-05-31 22:53:24 MSD
Fixed in perl-Glib-1.230.0-11

https://abf.rosalinux.ru/build_lists/613253
https://abf.rosalinux.ru/build_lists/613254

Advisory: "perl-Glib-1.230.0 introduced bug with signals handling. We used patch from upstream (perl-Glib-1.231) to fix it, thus solving reported Gtk2::Dialog issues."
Comment 3 andrea_scopelliti 2012-06-01 20:18:56 MSD
Thanks I confirm that now it is solved (tested on x64)

Andrea Scopelliti
Comment 4 Alexander Petryakov 2012-06-03 20:06:21 MSD
perl-Glib-1.230.0-11-rosa.lts2012.0
************** Advisory **************
perl-Glib-1.230.0 introduced bug with signals handling. We used patch from upstream (perl-Glib-1.231) to fix it, thus solving reported Gtk2::Dialog issues.
**************************************
QA Verified
Comment 5 Pavel Shved 2012-06-19 21:49:02 MSD
Massively change status of published updates.  From now on, the status for published update requests will be VERIFIED.